petsc-3.12.4 2020-02-04
Report Typos and Errors

# MatFindOffBlockDiagonalEntries

Finds all the rows of a matrix that have entries outside of the main diagonal block (defined by the matrix block size)

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatFindOffBlockDiagonalEntries(Mat mat,IS *is)

Collective on Mat

### Input Parameter

mat -the matrix

### Output Parameter

is -contains the list of rows with off block diagonal entries

### See Also

MatMultTranspose(), MatMultAdd(), MatMultTransposeAdd()

### Level

developer

### Location

src/mat/interface/matrix.c

### Implementations

MatFindOffBlockDiagonalEntries_MPIAIJ in src/mat/impls/aij/mpi/mpiaij.c
MatFindOffBlockDiagonalEntries_SeqAIJ in src/mat/impls/aij/seq/aij.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages